# Form implementation generated from reading ui file 'src/eric7/MicroPython/Devices/CircuitPythonUpdater/ShowBundlesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_ShowBundlesDialog(object):
    def setupUi(self, ShowBundlesDialog):
        ShowBundlesDialog.setObjectName("ShowBundlesDialog")
        ShowBundlesDialog.resize(600, 700)
        ShowBundlesDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(ShowBundlesDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.header = QtWidgets.QLabel(parent=ShowBundlesDialog)
        self.header.setText("")
        self.header.setObjectName("header")
        self.verticalLayout.addWidget(self.header)
        self.bundlesWidget = QtWidgets.QTreeWidget(parent=ShowBundlesDialog)
        self.bundlesWidget.setAlternatingRowColors(True)
        self.bundlesWidget.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.NoSelection)
        self.bundlesWidget.setRootIsDecorated(False)
        self.bundlesWidget.setHeaderHidden(True)
        self.bundlesWidget.setExpandsOnDoubleClick(False)
        self.bundlesWidget.setObjectName("bundlesWidget")
        self.bundlesWidget.headerItem().setText(0, "1")
        self.verticalLayout.addWidget(self.bundlesWidget)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=ShowBundlesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(ShowBundlesDialog)
        self.buttonBox.accepted.connect(ShowBundlesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(ShowBundlesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(ShowBundlesDialog)

    def retranslateUi(self, ShowBundlesDialog):
        _translate = QtCore.QCoreApplication.translate
        ShowBundlesDialog.setWindowTitle(_translate("ShowBundlesDialog", "CircuitPython Bundles"))
